<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "400, 445, 479, 524, 525, 865, 1373, 1593, 1594, 1595"
strThisBackPage = "orders" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY CUSTOMER GROUP
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM QUERYSTRING
'-----------------------------------------------
CG_ID = NumSafe(request.QueryString("CG_ID"))

'Arrays for info to go in
Dim CG_Name()
Redim CG_Name(numTotalLanguages)

'-----------------------------------------------
'PULL OUT THE CUSTOMER GROUP
'-----------------------------------------------
If CG_ID > 0 then
	strQuery = "SELECT tblCactuShop" & TABLE_PREFIX & "CustomerGroups.* FROM tblCactuShop" & TABLE_PREFIX & "CustomerGroups WHERE CG_ID = " & CG_ID
	Call ExecuteRS(strQuery, objRecordSet)
	If not (objRecordSet.BOF and objRecordSet.EOF) then
		CG_ID = objRecordSet("CG_ID")
		CG_Discount = objRecordSet("CG_Discount")
		CG_Live = objRecordSet("CG_Live")
		
		'Loop through all languages and get the names and descriptions
		For numCount = 1 to numTotalLanguages	
			If aryLangLiveBack(numCount) = "y" then
				CG_Name(numCount) = objRecordSet("CG_Name" & CStr(numCount))
				If CG_Name(numCount) <> "" then
					strFirstNonEmptyName = CG_Name(numCount)
				end if
			end if
		Next
		If CG_Name(numDefaultLanguage) <> "" then strFirstNonEmptyName = CG_Name(numDefaultLanguage)
	end if
	objRecordSet.Close
End If
CG_ID = NumSafe(CG_ID)
CG_Discount = NumSafe(CG_Discount)
CG_Live = ListSafe(CG_Live, "y,n", "n")

'Set page title
If strFirstNonEmptyName <> "" then
	strPageTitle = strFirstNonEmptyName
Else
	strPageTitle = GetString("PageTitle_AddNewCustomerGroup")
End If
	
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
		</tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="0" width="660">
		<tr>
			<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
			<td valign="top">
				<form method="POST" name="verform" action="_update_customergroup.asp">
					<%= objCactuSession.Form %>
					<input type="hidden" name="CG_ID" value="<% =CG_ID %>" />
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<tr>
							<td><h1><%= strPageTitle %></h1></td>
						</tr>	
					</table>
					
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<tr>
							<td><% WriteString("ContentText_Live") %></td>
							<td><input type="checkbox" name="CG_Live" value="y"<%= IIf(CG_Live = "y", " checked=""checked""", "") %> /></td>
						</tr>
						
						<% For numCount = 1 to numTotalLanguages
							If aryLangLiveBack(numCount) = "y" then %>
								<tr>
									<td><%= IIf(numTotalLanguages > 1, aryLangBackNames(numCount) & " ", "") & GetString("FormLabel_CustomerGroupName") %></td>
									<td><input type="text" name="CG_Name<% =numCount %>" value="<%= WriteSafe(CG_Name(numCount)) %>" size="28"/></td>
								</tr>
							<% end if
						next %>
						
						<tr>
							<td valign="top"><% WriteString("FormLabel_Discount") %></td>
							<td><input type="text" name="CG_Discount" value="<% =CG_Discount %>" size="5" /></td>
						</tr>

						<tr>
							<td>&nbsp;</td>
							<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<%= IIf(CG_ID = 0, GetSafeString("FormButton_Add"), GetSafeString("FormButton_Update")) %>" /></td>
						</tr>
					</table>
				</form>

				<%
				'-----------------------------------------------
				'delete form
				'-----------------------------------------------
				If Not CG_ID = 0 Then %>
					<hr />
					<form method="post" action="_update_customergroup.asp">
						<%= objCactuSession.Form %>
						<input type="hidden" name="strCallMode" value="d" />
						<input type="hidden" name="CG_ID" value="<% =CG_ID %>" />
						<table border="0" cellpadding="5" cellspacing="0" width="100%">
							<tr bgcolor="#EEEEEE">
								<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
								<td class="bold"><% WriteString("ContentText_DeleteThisCustomerGroup") %></td>
							</tr>
						</table>
					</form>
				<% End If %>
			</td>
		</tr>
	</table>
</body>
</html>
<%

Call EndPage()
%>
