<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "333, 400, 445, 450, 482, 483, 488, 489, 490, 491, 876, 1732, 1733, 1734, 1879"
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================
Dim strHigh, strLow, strISO
strHigh = request.querystring("strHigh")
strLow = request.querystring("strLow")
strISO = request.querystring("strISO")
numZoneID = NumSafe(request.QueryString("numZoneID"))
numStartRecord = NumSafe(request.QueryString("numStartRecord"))
If numStartRecord = 0 then numStartRecord = 1

Const PAGE_SIZE = 25

Set objRecordSet3 = Server.CreateObject("ADODB.Recordset")

'Pull out destinations based on what was passed
If numZoneID > 0 then
	'Pull out destinations in one shipping zone
	strWhereClause = "D_ShippingZoneID = " & numZoneID 
	
ElseIf strISO <> "" then
	'Pull out destinations in a specific country
	strWhereClause = "D_ISOCode='" & SQLSafe(strISO) & "'"
	
ElseIf strHigh <> "" then
	if strLow="" then
		strWhereClause = "D_Destination" & numLanguageID & " < '" & SQLSafe(strHigh) & "' AND D_ISOCode<>'US' AND D_ISOCode<>'CA' AND D_ISOCode<>'AU'"
	else
		strWhereClause = "D_Destination" & numLanguageID & " < '" & SQLSafe(strHigh) & "' AND D_Destination" & numLanguageID & " > '" & SQLSafe(strLow) & "' AND D_ISOCode<>'US' AND D_ISOCode<>'CA' AND D_ISOCode<>'AU'"
	end if
Else
	strWhereClause = "1=1"	
	blnPaging = true
End If
	
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Destination WHERE " & strWhereClause & " ORDER BY D_Destination" & CInt(numLanguageID)	
Call ExecuteRS(strQuery, objRecordSet)
blnGotDestinations = (objRecordSet.RecordCount > 0)
If blnGotDestinations and blnPaging then
	objRecordSet.Move numStartRecord - 1
	numTotalDestinations = objRecordSet.RecordCount
Else
	'Still get all destinations for the paging
	numTotalDestinations = clng(ExecuteScalar("SELECT COUNT(*) FROM tblCactuShop" & TABLE_PREFIX & "Destination"))
End If

strQuery3 = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ShippingZones ORDER BY SZ_OrderByValue"
Call ExecuteRS(strQuery3, objRecordSet3)
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top"><table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><% WriteString("PageTitle_ShippingDestinationCountries") %></h1></td>
	</tr>
	<% If not blnGotDestinations then %>
		<tr>
			<td><% WriteString("ContentText_ShippingDestinationCountriesPagetext") %></td>
		</tr>    
	<% end if %>
	
	<tr>
		<td>
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
				<tbody>
					<tr>
						<td width="30%" class="small bold"><% WriteString("ContentText_DestFilterAlphabetical") %></td>
						<td class="small">
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=&strHigh=c">A-B</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=c&strHigh=f">C-E</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=f&strHigh=l">F-K</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=l&strHigh=o">K-N</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=o&strHigh=s">O-R</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=s&strHigh=u">S-T</a>&nbsp;&nbsp;
							<a href="_modify_destination.asp?<%= objCactuSession.QS %>strLow=u&strHigh=zzz">U-Z</a>&nbsp;&nbsp;						
						</td>
					</tr>
					<%
					'Pull out ISOs that have more than one destination in them
					strQuery = "SELECT D_IsoCode FROM tblCactuShop" & TABLE_PREFIX & "Destination GROUP BY D_IsoCode HAVING COUNT(D_ID) > 1 ORDER BY D_IsoCode ASC" 
					Call ExecuteRS(strQuery, objRecordSet2)
					If not (objRecordSet2.BOF And objRecordSet2.EOF) Then %>
						<tr>
							<td class="small bold"><% WriteString("ContentText_DestFilterISO") %></td>
							<td class="small"><%
								Do While Not objRecordSet2.EOF
									D_IsoCode = objRecordSet2("D_IsoCode") %>
									<a href="_modify_destination.asp?<%= objCactuSession.QS %>strISO=<%= D_IsoCode %>"><%= D_IsoCode %></a>&nbsp;&nbsp;<%
									objRecordSet2.MoveNext
								Loop %>
							</td>
						</tr><%
					end if 
					objRecordSet2. Close %>
					<tr>
						<td class="small bold"><% WriteString("ContentText_DestFilterZones") %></td>
						<td class="small"><%
							'Loop through zones
							Do While Not objRecordSet3.EOF
								SZ_ID = objRecordSet3("SZ_ID")
								SZ_Name = GetTranslation(objRecordSet3, "SZ_Name")
								response.Write "<a href=""_modify_destination.asp?" & objCactuSession.QS & "numZoneID=" & SZ_ID & """>" & SZ_Name & "</a>&nbsp;&nbsp;"
								objRecordSet3.MoveNext
							Loop
							%>
						</td>
					</tr>
					<tr>
						<td class="small bold"><% WriteString("ContentText_DestinationsByPage") %></td>
						<td class="small"><%
							'Display link for each page
							For i = 1 to numTotalDestinations Step PAGE_SIZE 
								numPage = (i - 1 + PAGE_SIZE) / PAGE_SIZE 
								If i = numStartRecord and blnPaging Then
									response.Write " " & numPage
								Else %>
									<a href="_modify_destination.asp?<%= objCactuSession.QS %>numStartRecord=<%= i %>"><%= numPage %></a><%
								End If
							Next %>
						</td>
						
					</tr>
				</tbody>
			</table>
		</td>
	</tr>
	
	<% if blnGotDestinations then %>
		<tr>
			<td><form action="_update_destination.asp" method="post">
			<%= objCactuSession.Form %>
			<input type="hidden" name="strHigh" value="<%= strHigh %>" />
			<input type="hidden" name="strLow" value="<%= strLow %>" />
			<input type="hidden" name="strISO" value="<%= strISO %>" />
			<input type="hidden" name="numZoneID" value="<%= numZoneID %>" />
			<input type="hidden" name="numStartRecord" value="<%= numStartRecord %>" />
			
			<table border="0" cellpadding="0" width="100%" cellspacing="3">
			<tr>
				<td class="small bold dull"><% WriteString("ContentText_ID") %></td>
				<td class="small bold dull"><% WriteString("FormLabel_Language") %></td>
				<td class="small bold dull"><% WriteString("ContentText_Country") %></td>
				<td class="small bold dull"><% WriteString("ContentText_ISOCode") %></td>
				<td class="small bold dull"><% WriteString("ContentText_ChargeTax") %></td>
				<td class="small bold dull"><% WriteString("ContentText_Live") %></td>
			</tr>
			<%
			'Loop through each database record
			numCountryCount = 0
			do while not objRecordSet.EOF and numCountryCount < PAGE_SIZE
				blnFirstLang = true
				numCount = 0
				If blnPaging then numCountryCount = numCountryCount + 1
				for numCount = 1 to numTotalLanguages
					If aryLangLiveBack(numCount) = "y" then %>
						<tr>
							<td class="small">
								<% if blnFirstLang then response.write objRecordSet("D_ID") else response.write "&nbsp;" %>
							</td>
							<td class="small"><% =aryLangBackNames(numCount) %></td>
							<td><input type="text" name="T<% =objRecordSet("D_ID") %>-<%=numCount%>" size="35" value="<% =objRecordSet("D_Destination" & CStr(numCount)) %>" class="small" /></td>
							<% if blnFirstLang then %>
								<td><input type="text" name="I<% =objRecordSet("D_ID") %>" size="3" value="<% =objRecordSet("D_ISOCode") %>" class="small" /></td>
								<td>
									<% if GetAppVar("USmultistatetax") = "y" then%>
										<input type="text" name="M<% =objRecordSet("D_ID") %>" size="4" value="<% =objRecordSet("D_Tax") %>" class="small" />
									<% else %>
									<select name="M<% =objRecordSet("D_ID") %>" size="1" style="width:50px">
										<option value='1'<% if objRecordSet("D_Tax") = 1 then response.write(" selected=""selected""") %>><% WriteString("ContentText_RadioYes") %></option>
										<option value='0'<% if objRecordSet("D_Tax") = 0 then response.write(" selected=""selected""") %>>-</option>
									</select>
									<% end if %>
								</td>
			    				<td>
									<select name="L<% =objRecordSet("D_ID") %>" size="1" style="width:50px">
										<option value='y'<% if objRecordSet("D_Live") = "y" then response.write(" selected=""selected""") %>><% WriteString("ContentText_RadioYes") %></option>
										<option value='n'<% if objRecordSet("D_Live") = "n" then response.write(" selected=""selected""") %>>-</option>
									</select>
								</td><%
							else %>
								<td colspan="3">&nbsp;</td><%
							end if %>
						</tr><%
					end if
					blnFirstLang = false
				next %>

				<tr>
					<td class="small">&nbsp;</td>
					<td class="small"><% WriteString("ContentText_Zone") %></td>
					<td><% 
						objRecordSet3.MoveFirst 
						Call SingleDropDownLang("B" & objRecordSet("D_ID"),"","",objRecordSet3,"SZ_ID","SZ_Name",objRecordSet("D_ShippingZoneID"))
					%></td>
					<td colspan="3">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="7"><hr /></td>
				</tr>
			
				<%
				'Move on to next record
				objRecordSet.MoveNext
			loop
			objRecordSet3.Close
			%>
			<tr>
				<td colspan="7" align="right"><input type="submit" name="btnUpdate" id="update" value="<% WriteString("FormButton_Update") %>" /></td>
			</tr>
			</table></form></td>
		</tr>
	<% end if %>
	</table></td>
</tr>
</table>
</body>
</html>
<% 
objRecordSet.Close
Call EndPage()
%>
