<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "328, 400, 452, 474, 525, 1372, 1373, 1374, 1375, 1376"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY supplier					
'This allows you to edit a specific supplier record
'-----------------------------------------------
SUP_ID = NumSafe(request.querystring("SUP_ID"))

'If one was passed...
if SUP_ID > 0 then
	'... then we are editing
	strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Suppliers WHERE SUP_ID = " & SUP_ID
	Call ExecuteRS(strQuery, objRecordSet)
	
	'If the record wasn't found...
	if objRecordSet.bof and objRecordSet.eof then
		'...then we add a new one...
		SUP_ID = 0
	else
		'... else grab the record details and put them in variables
		SUP_Name = objRecordSet("SUP_Name")
		SUP_Live = objRecordSet("SUP_Live")

	end if
	objRecordSet.Close
else
	SUP_ID = 0
end if
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
		<form action="_update_supplier.asp" method="post" id="frmUpdateSupplier">
		<%= objCactuSession.Form %>
		<input type="hidden" name="SUP_ID" value="<% =SUP_ID %>" />
		<table border="0" cellpadding="5" cellspacing="0" width="100%">
			<tr>
				<td colspan="2"><h1><% WriteString("PageTitle_EditSupplier") %></h1></td>
			</tr>
			<tr>
				<td colspan="2"><% WriteString("ContentText_SupplierText") %></td>
			</tr>
			<tr>
				<td width="120"><% WriteString("FormLabel_Name") %></td>
				<td><input type="text" name="SUP_Name" value="<%= SUP_Name %>" size="30" /></td>
			</tr>
			<tr>
				<td width="120"><% WriteString("FormLabel_Live") %></td>
				<td><input<% If SUP_Live = "y" then response.write(" checked=""checked""") %> type="checkbox" value="y" name="SUP_Live" /></td>
			</tr>
			<tr>
				<td colspan="2" align="right"><input type="submit" name="btnUpdate" id="update" value="<% WriteString("FormButton_Update") %>" /></td>
			</tr>
		</table>
		</form>
	
	<% if SUP_ID <> 0 then 
	
		'Show Delete Form %>
		<hr />
		<form action="_update_supplier_delete.asp" name="deleteform" method="get" id="frmDeleteSupplier">
		<%= objCactuSession.Form %>
		<input type="hidden" name="SUP_ID" value="<% =SUP_ID %>" />
		<table border="0" cellpadding="5" cellspacing="0" width="100%">
			<tr bgcolor="#EEEEEE">
				<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
				<td class="bold"><% WriteString("ContentText_DeleteThisEntry") %></td>
			</tr>
		</table>
		</form>
		
		<%
		'Show all products that link to this supplier
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Products WHERE P_SupplierID = " & SUP_ID & " ORDER BY P_Name" & CInt(numLanguageID)
		Call ExecuteRS(strQuery, objRecordSet)
		%>
		<hr />
		<table border="0" cellpadding="5" cellspacing="0" width="100%">
			<tr>
				<td colspan="2" class="bold"><% WriteString("ContentText_SupplierProducts") %></td>
			</tr>
			<% if objRecordSet.BOF and objRecordSet.EOF then %>
				<tr>
					<td colspan="2"><% WriteString("ContentText_NoSupplierProducts") %></td>
				</tr>
			<% else 
				do while not objRecordSet.EOF
					'Get product information
					P_ID = objRecordSet("P_ID") 
					strProductName = objRecordSet("P_Name" & CInt(numLanguageID))
					If strProductName & "" = "" then
					numCount = 0
						for numCount = 1 to numTotalLanguages
							strProductName = objRecordSet("P_Name" & CStr(numCount))
							If strProductName & "" <> "" then exit for
						next
					end if 
					
					'Background colour
					If strBgColour = "#eeeeee" then strBgColour = "#dddddd" else strBgColour = "#eeeeee"
					
					'Write out product
					%>
					<tr bgcolor="<%=strBgColour %>">
						<td width="95%" class="small"><%= strProductName %></td>
						<td width="5%"><a href="_modify_product.asp?<%= objCactuSession.QS %>P_ID=<%= P_ID %>"><img alt="<% WriteSafeString("ImageLabel_EditThisProduct") %>" title="<% WriteSafeString("ImageLabel_EditThisProduct") %>" src="images/modify.gif" border="0" /></a></td>
					</tr>
					<% 
					objRecordSet.MoveNExt
				Loop
			end if
			%>
		</table>
		<%
		objRecordSet.Close
	end if %>
	</td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
