<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "370, 445, 642, 913, 1310, 1341, 1342, 1343, 1344, 1345, 1346, 1347, 1661, 1662, 1663"
strThisBackPage = "products" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'LIST REVIEWS
'This lists the top reviews in order of date
'created
numPageLimit = 50
'-----------------------------------------------

'Get info from querystrieng
blnAll = (request.QueryString("strAll") = "y")
blnModerate = (request.QueryString("strModerate") = "y")
P_ID = NumSafe(request.QueryString("P_ID"))
blnDoingProductOnly = not (P_ID = 0)

'What type of list?
If blnDoingProductOnly then
	'Specific for one product
	strWhereClause = " WHERE P_ID = " & P_ID
	strPageTitle = GetString("PageTitle_Reviews")

elseif blnModerate then
	'Only those awaiting authorization
	strWhereClause = " WHERE REV_Live = 'a'"
	strPageTitle = GetString("PageTitle_ReviewsModerate")

Else
	'Normal list
	strPageTitle = GetString("PageTitle_Reviews")
End If

'Increase the limit to silly-size if we need to
If blnAll or blnDoingProductOnly or blnModerate then
	numPageLimit = 5000
End If

'Pull out all reviews, ordered by the ID
strQuery = LimitSQL("tblCactuShop" & TABLE_PREFIX & "Reviews.*, tblCactuShop" & TABLE_PREFIX & "Products.* FROM tblCactuShop" & TABLE_PREFIX & "Reviews INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Reviews.REV_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID" & strWhereClause & " ORDER BY REV_DateLastUpdated DESC", numPageLimit, false)
Call ExecuteRS(strQuery, objRecordSet)
numRecordCount = objRecordSet.RecordCount
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
	<%= strProductHTML %>
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><%= strPageTitle %></h1></td>
	</tr>
	<% if not GetAppVar("enablereviews") = "y" then %>
		<tr>
			<td class="bold"><a href="_config_list.asp?<%= objCactuSession.QS %>strConfigName=enablereviews&amp;strSection=ss"><% WriteString("FormLabel_CustomerReviewsDisabled") %></td>
		</tr>
	<% end if %>
	
	<tr>
		<% if numRecordCount <> 0 then %>
			<td><table border="0" cellpadding="3" cellspacing="0" width="100%">
				<tr>
					<% if not blnDoingProductOnly then %>
						<td class="small bold dull" width="65%"><% WriteString("ContentText_Product") %></td>
					<% else %>
						<td class="small bold dull" width="65%"><% WriteString("FormLabel_ReviewTitle") %></td>
					<% end if %>
					<td class="small bold dull" width="8%"><% WriteString("FormLabel_ReviewRating") %></td>
					<td class="small bold dull" width="22%"><% WriteString("ContentText_LastUpdate") %></td>
					<td class="small bold dull" width="5%">&nbsp;</td>
				</tr>
				<%
				
				'loop through each review
				do while not objRecordSet.EOF
					'Get out db info
					REV_Rating = objRecordset("REV_Rating")
					REV_Title = objRecordSet("REV_Title") & ""
					REV_ID = objREcordSet("REV_ID")
					REV_LanguageID = objRecordSet("REV_LanguageID")
					REV_Live = objRecordSet("REV_Live")
					REV_DateLastUpdated = objRecordSet("REV_DateLastUpdated")
					P_ID = objRecordSet("P_ID")
					
					'Get the first product name
					If not blnDoingProductOnly then
						strProductName = objRecordSet("P_Name" & CInt(numLanguageID))
						If strProductName & "" = "" then
							'loop around all languages till we find a non-blank	
							numCount = 0
							For numCount = 1 to numTotalLanguages
								if objRecordSet("P_Name" & CStr(numCount)) & "" <> "" then
									strProductName = objRecordSet("P_Name" & CStr(numCount))			
									exit for
								end if
							Next
						end if	
					end if					
					
					If REV_Rating = 0 then REV_Rating = " - "
					If REV_Title = "" then REV_Title = " - "
					
					'Set the background colour
					numCount = numCount + 1
					If numCount mod 2 = 0 then
						strBgColourNorm="#EEEEEE"
						strBgColourRed="#FFAAAA"
						strBgColourGreen="#99CC99"
					else
						strBgColourNorm="#DDDDDD"
						strBgColourRed="#FFBBBB"
						strBgColourGreen="#99DD99"
					end if
					
					If REV_Live = "n" then
						strBgColour = strBgColourRed
					ElseIf REV_Live = "a" then
						strBgColour = strBgColourGreen
					Else
						strBgColour = strBgColourNorm
					End If
					
					'Write out the table row
					strClass = "small"
					%>
					<tr bgcolor="<%= strBgColour %>">
						<% if not blnDoingProductOnly then %>
							<td class="<%= strClass %>"><a href="_modify_product.asp?<%= objCactuSession.QS %>P_ID=<%= P_ID %>"><%= strProductName %></a></td>
						<% else %>
							<td class="<%= strClass %>"><%= WriteSafe(REV_Title) %></td>
						<% end if %>
						<td class="<%= strClass %>"><%= REV_Rating %></td>
						<td class="<%= strClass %>"><%= FormatDate(objRecordSet("REV_DateLastUpdated"), strDateFormat) %></td>
						<td align="right" class="small"><a href="_modify_review.asp?<%= objCactuSession.QS %>REV_ID=<%= REV_ID %>&amp;<%= strProductQS %>"><img src="images/modify.gif" border="0" alt="<% WriteSafeString("ImageLabel_ViewThisReview") %>" title="<% WriteSafeString("ImageLabel_ViewThisReview") %>" /></a></td>
					</tr>		
					<%
					'remove on to the next record
					objRecordSet.moveNext
				loop
				%>
				<tr>
					<td colspan="4" class="small"><% WriteString("ContentText_ReviewListColourExpl") %></td>
				</tr>
			</table></td>
			
		<% else 
			'There are no records, display an explanation %>
			<td><br /><% WriteString("ContentText_NoReviewsWereFound") %><br /><br /></td>
			<%
		end if
		objRecordSet.Close 
		
		If numCount >= numPageLimit then
			'Need a link to list them all?
			response.Write "<tr><td colspan=""4""><a href=""_review_list.asp?" & objCactuSession.QS & "strAll=y"">" & GetString("ContentText_ListAllReviews") & "</a></td></tr>"
			
		ElseIf blnModerate then
			'Need to link out of moderate-only?
			response.Write "<tr><td colspan=""4""><a href=""_review_list.asp?" & objCactuSession.QS & """>" & GetString("ContentText_ListAllReviews") & "</a></td></tr>"
			
		End If
		%>
		
		
	</tr>
	</table></form></td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
