<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "333, 364, 366, 368, 370, 371, 931, 641, 933, 934" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'PAGE HIT STATS	- PRODUCTS
'-----------------------------------------------
'CHECK FOR VALID MONTH/YEAR
'Just check that the given month and year is
'valid. If not, set to current month/year.
'-----------------------------------------------
CAT_ID = NumSafe(Request.QueryString("CAT_ID"))
numGivenMonth = Request.QueryString("numGivenMonth")
numGivenYear = Request.QueryString("numGivenYear")

If CAT_ID = 0 Then 
	Call EndPage()
	Response.Redirect("_salesstats_main.asp?" & strSessionQS)
End If

If Not IsNumeric(numGivenMonth) Or numGivenMonth = "" Or Not IsNumeric(numGivenYear) Or numGivenYear = "" Then
	numGivenMonth = Month(NowOffset)
	numGivenYear = Year(NowOffset)
ElseIf DateDiff("m", numGivenYear & "/" & numGivenMonth & "/1", Year(NowOffset) & "/" & Month(NowOffset) & "/1") < 0 Or DateDiff("m", numGivenYear & "/" & numGivenMonth & "/1", DateAdd("m", -11, Year(NowOffset) & "/" & Month(NowOffset) & "/1")) > 0 Then
	numGivenMonth = Month(NowOffset)
	numGivenYear = Year(NowOffset)
End If

'-----------------------------------------------
'MySQL can't sort by a COUNT field it seems.
'Because we need to get the max-count value to
'draw the graphs correctly, we have to put all
'the values into an array, and then use that for
'drawing out the bars instead.
'-----------------------------------------------
'Grab comma-list of all CAT_Name's and P_Name's, used in SELECT and GROUP BYs of the queries
numCount = 0
For numCount = 1 to numTotalLanguages
	if aryLangLiveBack(numCount) = "y" then
		strNames = strNames & "tblCactuShop" & TABLE_PREFIX & "Categories.CAT_Name" & CStr(numCount) & ", tblCactuShop" & TABLE_PREFIX & "Products.P_Name" & CStr(numCount) & ", "
	end if
next

strQuery="SELECT SUM(tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_Quantity) AS ProductHits, " & _
  strNames & " tblCactuShop" & TABLE_PREFIX & "Products.P_ID FROM " & _
  "(((((tblCactuShop" & TABLE_PREFIX & "Orders INNER JOIN tblCactuShop" & TABLE_PREFIX & "InvoiceRows ON tblCactuShop" & TABLE_PREFIX & "Orders.O_ID=tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_OrderNumberID) " & _
  "INNER JOIN tblCactuShop" & TABLE_PREFIX & "Versions ON tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_VersionCode=tblCactuShop" & TABLE_PREFIX & "Versions.V_CodeNumber) " & _
  "INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID) " & _
  "INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink ON tblCactuShop" & TABLE_PREFIX & "Products.P_ID = tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_ProductID) " & _
  "INNER JOIN tblCactuShop" & TABLE_PREFIX & "Categories ON tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_CategoryID = tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID) " & _
  "WHERE tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID = " & CAT_ID &  " " & _
  "AND MONTH(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numGivenMonth & " " & _
  "AND YEAR(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numGivenYear & " " & _
  "AND tblCactuShop" & TABLE_PREFIX & "Orders.O_Paid = 'y' " & _
  "GROUP BY " & strNames & " tblCactuShop" & TABLE_PREFIX & "Products.P_ID, tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID " & _
  "ORDER BY tblCactuShop" & TABLE_PREFIX & "Products.P_Name" & CInt(numLanguageID)
Call ExecuteRS(strQuery, objRecordSet)

numRecordCount = objRecordSet.RecordCount

If numRecordCount = 0 Then
	objRecordSet.Close
	Call EndPage()
	Response.Redirect("_salesstats_main.asp?" & strSessionQS & "numGivenMonth=" & numGivenMonth & "&numGivenYear=" & numGivenYear)
End If

ReDim aryHitCount(numRecordCount, 2)
numHits = 1
numMaxValue = 0
numTotalHits = 0
ProdType = objRecordSet(1)
Do Until objRecordSet.EOF
	aryHitCount(numHits, 0) = Clng(objRecordSet("ProductHits"))
	aryHitCount(numHits, 1) = Clng(objRecordSet("P_ID"))
	
	'get a non-blank name of the category - start with default
	aryHitCount(numHits, 2) = objRecordSet("P_Name" & CInt(numLanguageID))
	If aryHitCount(numHits, 2) & "" = "" then
		'if that's blank, loop around all languages till we find a non-blank
		numCount = 0
		For numCount = 1 to numTotalLanguages
			if objRecordSet("P_Name" & cstr(numCount)) & "" <> "" then
				aryHitCount(numHits, 2) = objRecordSet("P_Name" & CStr(numCount))			
				exit for
			end if
		Next
	end if
	
	If aryHitCount(numHits, 0) > numMaxValue Then numMaxValue = aryHitCount(numHits, 0)
	numTotalHits = numTotalHits + aryHitCount(numHits, 0)
	numHits = numHits + 1
	objRecordSet.MoveNext
Loop
objRecordSet.Close
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
	<tr>
		<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
		<td valign="top">
			<table border="0" cellpadding="5" cellspacing="0" width="100%">
				<tr>
					<td><h1><% WriteString("PageTitle_VersionSales") %></h1></td>
					<td class="small" align="right"><% WriteString("ContentText_SwitchToSales") %> | <a href="_stats_prodtype.asp?<%= objCactuSession.QS %>numGivenMonth=<%=numGivenMonth%>&amp;numGivenYear=<%=numGivenYear%>&amp;CAT_ID=<%=CAT_ID%>"><% WriteString("ContentText_SwitchToHits") %></a></td>					
				</tr>
 				<tr>
					<td colspan="2" class="bold"><% =ProdType & " - " & FormatDate(numGivenYear & "/" & numGivenMonth & "/01", "[mn] [yyyy]") %></td>
				</tr>   
				<tr>
					<td colspan="2">
						<table border="0" cellpadding="2" cellspacing="0" width="100%">
							<tr>
								<td class="small bold dull" width="6%"><% WriteString("ContentText_ID") %></td>
								<td class="small bold dull" width="25%"><% WriteString("ContentText_ShareOfHits") %></td>
								<td class="small bold dull" width="15%">&nbsp;</td>
								<td class="small bold dull" width="54%"><% WriteString("ContentText_Product") %></td>
							</tr>
<%
numHits = 1
Do Until numHits > numRecordCount
	'-----------------------------------------------
	'TOTAL HITS FOR EACH PRODUCT
	'This cycles through each product, calculates
	'the hits for each and formulates the graphic
	'display bars as a percentage of the best hit
	'product.
	'-----------------------------------------------
	numBgCount = numBgCount + 1
	If numBgCount mod 2 = 0 then
		strBgColour = "#EEEEEE"
	Else
		strBgColour = "#DDDDDD"
	End If
	If numMaxValue = 0 Then
		numDisplayWidth = 0
	Else
		numDisplayWidth = Int((aryHitCount(numHits, 0) / numMaxValue) * 100)
	End If
%>							<tr bgcolor="<% =strBgColour %>">
								<td class="small"><% =aryHitCount(numHits, 1) %></td>
								<td valign="middle" class="small"><img src="images/graphblack.gif" width="1" height="10" alt="" /><img src="images/graphyellow.gif" width="<% =numDisplayWidth %>" height="10" alt="" /><img src="images/graphblack.gif" width="<% =101-numDisplayWidth %>" height="10" alt="" /></td>
								<td class="small"><% =aryHitCount(numHits, 0) %></td>
								<td class="small"><a href="_salesstats_product.asp?<%= objCactuSession.QS %>numGivenMonth=<% =numGivenMonth %>&amp;numGivenYear=<% =numGivenYear %>&amp;P_ID=<% =aryHitCount(numHits, 1) %>&CAT_ID=<%= CAT_ID %>"><% =aryHitCount(numHits, 2) %></a></td>
							</tr>
<%
	numHits = numHits + 1
Loop
%>
							<tr>
								<td class="small">&nbsp;</td>
								<td class="small bold"><% WriteString("ContentText_Total") %>:</td>
								<td class="small bold"><% WriteString("ContentText_numTotalHitsForAboveMonth") %><% =numTotalHits %></td>
								<td class="small">&nbsp;</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="small" colspan="2"><a href="_salesstats_main.asp?<%= objCactuSession.QS %>numGivenMonth=<% =numGivenMonth %>&amp;numGivenYear=<% =numGivenYear %>"><% WriteString("ContentText_BackToLink") %>&nbsp;<% =FormatDate(numGivenYear & "/" & numGivenMonth & "/01", "[mn] [yyyy]") %></a></td>
				</tr>    
			</table>
		</td>
	</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>




