<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'------------------------------------------
'LOOKUP DEFAULT CURRENCY
'Do it in this include because we only need
'this on back end pages. On the front end
'it is done in buildpage.asp
'------------------------------------------
strQuery2 = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "Currencies WHERE CUR_Live = 'y' ORDER BY CUR_ID", 1, false)
Call ExecuteRS(strQuery2, objRecordSet2)
Set objDefaultCurrency = New CurrencyData
objDefaultCurrency.Load(objRecordSet2)
objRecordSet2.close

'------------------------------------------
'RECURSIVE FUNCTION TO WRITE CATEGORIES
'------------------------------------------
Function DoCatsMenu(objCategoriesDictionary, objSubCategoriesDictionary, CAT_ID, strTrail, numLevel, numMaxLevel)

	'Write out the trail unless the hierachy level is more 
	'than the maximum levels allowed
	If numLevel <= numMaxLevel or numMaxLevel = 0 then
		'Do we show hyperlink or greyed out link?
		If strThisUserLOGIN_Products <> "y" then
			response.write("<li><div>" & strTrail & objCategoriesDictionary.Item(CLng(CAT_ID)) & "</div></li>" & vbcrlf)
		else
			response.write("<li><div>" & strTrail & "<a href=""_prodtype_back.asp?" & objCactuSession.QS & "CAT_ID=" & CAT_ID & """>" & objCategoriesDictionary.Item(NumSafe(CAT_ID)) & "</a></div></li>" & vbcrlf)
		end if
	end if
	
	'If there are any sub categories for this category
	If objSubCategoriesDictionary.Exists(Numsafe(CAT_ID)) then

		'Get all sub categories and loop through them
		arySubCategories = split(objSubCategoriesDictionary.Item(Numsafe(CAT_ID)), ",")
		For each numSubCategory in arySubCategories
			If isnumeric(numSubCategory) then
				'Add the sub category to the end of the trail and call the function with the new sub-cat
				If Not blnDoneOneSubCat Then response.write "<ul>"
				blnDoneOneSubCat = true

				'Add the sub category to the end of the trail and call the function with the new sub-cat
				DoCatsMenu objCategoriesDictionary, objSubCategoriesDictionary, numSubCategory, strTrailToPass, numLevel + 1, numMaxLevel
			end if
		Next

		'Close the unordered 
		If blnDoneOneSubCat Then response.write "</ul>"
	end if
end Function

'------------------------------------------
'SELECT CATEGORIES
'Selects all categories. Only displays set 
'number of hierachy levels dependand on the
'categorylevelsmenuback config setting.
'-----------------------------------------------
strCategoryOrderBy = GetAppVar("sortcategories")
If strCategoryOrderBy = "" then strCategoryOrderBy = "CAT_Name"
if strCategoryOrderBy = "CAT_Name" or strCategoryOrderBy = "CAT_Desc" then strCategoryOrderBy = strCategoryOrderBy & CInt(numLanguageID)

For numCount = 1 to numTotalLanguages: strCatLangs = strCatLangs & ", c.CAT_Name" & CStr(numCount): Next
strQuery = "SELECT c.CAT_ID, p.CAT_ID As ParentID" & strCatLangs & " FROM (tblCactuShop" & TABLE_PREFIX & "Categories AS c LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CategoryHierachy ch ON c.CAT_ID = ch.CH_ChildID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Categories p ON ch.CH_ParentID = p.CAT_ID ORDER BY c." & strCategoryOrderBy
Call ExecuteRS(strQuery, objRecordSet2)

'Create dictionaries - these hold all the category information
Set objCategoryDictionary = server.CreateObject("Scripting.Dictionary") 'Key - ID, Value - name of category
Set objParentDictionary = server.CreateObject("Scripting.Dictionary") 'Key - Mother ID, Value - comma-seperated IDs

'Loop through all categories
Do Until objRecordSet2.EOF
	'get repeated recordset values
	numChildID = objRecordSet2("CAT_ID")
	numParentID = NumSafe(objRecordSet2("ParentID"))
	
	'Find a product name that isn't blank, starting with the default ID
	strCategoryName = GetTranslation(objRecordSet2, "CAT_Name")
	
	'add to the categories dictionary if it doesn't already exist
	If Not objCategoryDictionary.Exists(numChildID) Then
		objCategoryDictionary.Add numChildID, strCategoryName
	End If
	
	'add it to parent dictionary - if it already exists, add it on
	'to the end of the list. If not, create a new entry
	if objParentDictionary.Exists(numParentID) then
		objParentDictionary.Item(numParentID) = objParentDictionary.Item(numParentID) & numChildID & ","
	else
		objParentDictionary.Add numParentID, numChildID & ","
	end if
	objRecordSet2.movenext
Loop
objRecordSet2.Close	

%>
<div id="backmenu">
	<table border="0" cellpadding="0" cellspacing="0" width="170">
		<tr><td class="heading"><% WriteString("BackMenu_Categories") %></td></tr>
		<tr>
			<td id="menucats"<% If strThisUserLOGIN_Products <> "y" Then response.write(" class=""dull""") %>><ul>
		<%
		'Create category list
		aryTopLevels = Split(objParentDictionary.Item(0), ",")
		For Each strCat in aryTopLevels
			If strCat <> "" and strThisUserLOGIN_Products = "y" then
				DoCatsMenu objCategoryDictionary, objParentDictionary, CLng(strCat), "", 1, GetAppVar("categorylevelsmenuback")
			end if
		next

		If strThisUserLOGIN_Products <> "y" Then %>
			<li><div><% WriteString("BackMenu_NewCategory") %></div></li>
		<% Else %>
			<li><div><a href="_modify_prodtype.asp?<%= objCactuSession.QS %>CAT_ID=0"><% WriteString("BackMenu_NewCategory") %></div></a></li>
		<% End If %>
				
			</ul></td>
		</tr>
	</table>

</div>
