<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'Error checking
on error resume next

'Load examples.xml into objMainXML
set objMainXML = Server.CreateObject(GetAppVar("XMLDOMDocument"))
objMainXML.async=false
objMainXML.setProperty "ServerHTTPRequest", true

if err.Description = "" then
	
	'We pass the license number as the ASP page checks to see if you are a proper licensed user
	objMainXML.load("http://www.cactushop.com/requests/news/?l=" & LICENSENUMBER & "&ver=" & CACTUSHOPVERSION)
	if objMainXML.parseError.errorcode = 0 and err.Description = "" then
		
		Dim objNodeList
		Set objNodeList = objMainXML.selectNodes("//CactuShopNews/News/NewsItem") 
		numNewsItems = objNodeList.Length

		if err.Description = "" then 
			if numNewsItems > 0 then
				'Set the news item to pull out - we want the first one
				i = 0
				
				'Put all the values into variables
				numNewsID = NumSafe(objNodeList.Item(i).selectSingleNode("ID").Text)
				strNewsType = objNodeList.Item(i).selectSingleNode("Type").Text
				strNewsTitle = objNodeList.Item(i).selectSingleNode("Title").Text
				strNewsText = objNodeList.Item(i).selectSingleNode("Text").Text
				strNewsURL = objNodeList.Item(i).selectSingleNode("URL").Text
				datNewsDate = CDate(objNodeList.Item(i).selectSingleNode("Date").Text)
				
				'Set the display based on the type of news
				select case strNewsType
					Case "c"
						strImage = "<img src=""images/b_news_critical.gif"" align=""left"" alt="""" />"
						strTitleColor = "red"
					case "i"
						strImage = ""
						strTitleColor = "black"
				end select
			
				numBgCount = numBgCount + 1
				strBgColour = IIf(numBgCount mod 2 = 0, "#EEEEEE", "#DDDDDD")
				if err.Description = "" Then %>
					<table border="0" cellpadding="5" cellspacing="0" width="100%" style="{border: solid 1px; border-color: #BBBBBB; background-color: #EEEEEE; }">
						<tr bgcolor="#DDDDDD">
							<td class="small bold" style="color:<%=strTitleColor%>"><%= strNewsTitle %></td>
						</tr>		
						<tr bgcolor="#EEEEEE">
							<td class="small" align="justify"><% if strImage <> "" then response.Write(strImage) %><%= Replace(strNewsText, "xxxBREAKxxx", "<br />") %></td>
						</tr>
						<% if strNewsURL <> "" then %>
							<tr bgcolor="#EEEEEE">
								<td class="small"><a href="<%= strNewsURL %>" target="_new"><% WriteString("ContentText_XMLNewsMoreInfo") %></a><br /><br /></td>
							</tr>
						<% end if %>
					</table>
				<% end if
			end if
		end if
		Set objNodeList = nothing
	end if
end if

on error goto 0
Set objMainXML = nothing

%>
