<%@ LANGUAGE="VBSCRIPT" %>
<% blnInstall = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2006 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'STEPS
'------------------------------------------------
'1 - Intro
'	a) Basic intro text
'	b) Check license key is set
'	c) Take license key input as a password for the process	
'
'2 - Uploads folder
'
'3 - Check setup
'	a) Database
'		- Check strDatabaseType is valid
'		- Check access values aren't the default
'		- Check you can connect to the database

'	b) Permissions
'		Try adding and deleting a record in the database
'		Try creating a small text file then deleting it in all upload folders
'
'4 - Email setup
'	a) Take entry of email method, email server, and email address (set for all 3 email addresses in language 1)
'	b) Send test email to email address.
'
'5 - Configuration
'	a) Set the following config settings:
'		- Web shop URL
'	b) Set the following language strings:
'		- Config_Webshopname
'	c) Admin backend username and password
'
'6 - Complete
'------------------------------------------------

response.buffer = false

'------------------------------------------------
'CHECK WE SHOULD BE RUNNING THE INSTALL
'------------------------------------------------
If Application(LICENSENUMBER & "install") <> "install" then
	response.Redirect("default.asp")
End If

'------------------------------------------------
'NOTES!!!!
'How about we offer to create the database structure for them?
'------------------------------------------------
Function CheckFolder(objFSO, strFolder)
	on error resume next
	strFilePath = Server.MapPath(strFolder & "/cactushopinstalltest.txt")
	Set objTextStream = objFSO.CreateTextFile(strFilePath, true)
	If err.Description = "" then
		objTextStream.WriteLine("test")
		objTextStream.Close
	End If
	Set objTextStream = Nothing 
	If err.Description = "" then
		Call objFSO.DeleteFile(strFilePath)
	End If
	strFileError = err.Description 
	on error goto 0
	If strFileError <> "" then
		CheckFolder = "Error trying to create file <code>" & strFolder & "/cactushopinstalltest.txt" & "</code>: <code>" & strFileError & "</code>"
	End If
End Function

numStep = NumSafe(DualRequest("numStep"))
If numStep < 1 then numStep = 1
strLicenseNumber = Request.Form("strLicenseNumber")

Select Case numStep
	Case 1
		
	Case 2
		If strError = "" then
			'Get uploads folder
			strUploadsFolder = GetAppVar("uploadsfolder")
			If strUploadsFolder = "" then strUploadsFolder = "uploads/"
		End If
		
	Case 3
		'Get uploads folder
		strUploadsFolder = request.Form("strUploadsFolder")
		If strUploadsFolder = "" then 
			strError = "You must enter in the <label for=""strUploadsFolder"">path to your uploads folder</label>."
			numStep = 2
		Else
			If right(strUploadsFolder, 1) <> "/" then strUploadsFolder = strUploadsFolder & "/"
		End If
		
	Case 4
		'Connect to the database and pull out the email settings
		Set objDataConn = Server.CreateObject("ADODB.Connection")
		objDataConn.Open strDataSourceName
		strEmailMethod = LCase(objDataConn.Execute("SELECT CFG_Value FROM tblCactuShop" & TABLE_PREFIX & "Config WHERE CFG_Name = 'emailmethod'")(0))
		strEmailServer = objDataConn.Execute("SELECT CFG_Value FROM tblCactuShop" & TABLE_PREFIX & "Config WHERE CFG_Name = 'mailserver'")(0)
		'strEmailAddress = objDataConn.Execute("SELECT LANG_EmailTo FROM tblCactuShop" & TABLE_PREFIX & "Languages WHERE LANG_ID = 1")(0)
		objDataConn.close
		Set objDataConn = nothing
		
	Case 5
		
		If request.Form("strTestEmailSent") = "y" then
			'If we just did a test email send, then move on to the next step
			numStep = 5
		
		Else
			'Check email settings
			strEmailMethod = request.Form("strEmailMethod")
			strEmailServer = request.Form("strEmailServer")
			strEmailAddress = request.Form("strEmailAddress")
			
			If strEmailMethod = "" then
				strError = "Please select an email method."
				
			ElseIf ListSafe(LCase(strEmailMethod), "write,off,cdo", "") = "" and strEmailServer = "" then
				strError = "No <label for=""strEmailServer"">mail server</label> entered; this is required for email method '" & strEmailMethod & "'"
				
			ElseIf strEmailAddress = "" then
				strError = "Please enter a <label for=""strEmailAddress"">site email address</label>."
				
			Else
				'Try sending email
				If ListSafe(LCase(strEmailMethod), "write,off", "") = "" then
					On Error Resume Next
					strEmailBody = "This is a test email sent from CactuShop."
					strEmailSubject = "CactuShop Test Email."
					Call SendEMail(strEmailMethod, strEmailServer, strEmailAddress, "", "", strEmailAddress, strEmailAddress, strEmailAddress, strEmailAddress, strEmailSubject, strEmailBody, "", false)
					strEmailError = err.Description 
					on error goto 0
					If strEmailError <> "" then
						strError = "Test email send failed: <code>" & strEmailError & "</code>. Please review your email settings below."
					Else
						blnTestEmailSent = true
					End If
				End If				
			End If
				
			If strError = "" then
				'Update details in database
				Set objDataConn = Server.CreateObject("ADODB.Connection")
				objDataConn.Open strDataSourceName
				objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '" & SQLSafe(strEmailMethod) & "' WHERE CFG_Name = 'emailmethod'")
				objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '" & SQLSafe(strEmailServer) & "' WHERE CFG_Name = 'mailserver'")
				objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Languages SET LANG_EmailFrom = '" & SQLSafe(strEmailAddress) & "', LANG_EmailTo = '" & SQLSafe(strEmailAddress) & "', LANG_EmailToContact = '" & SQLSafe(strEmailAddress) & "' WHERE LANG_ID = 1")
				objDataConn.close
				Set objDataConn = nothing
				
				'If an email was sent, stay on step 4 and show message. Otherwise proceed to step 5
				If blnTestEmailSent = true then
					numStep = 4
				Else
					numStep = 5
										
				End If
			Else
				numStep = 4
			End If	
		End If
		
		'If we're still on step 5 ...
		If numStep = 5 Then
			'Get the WebShopURL - remove the script name from the script name - this will leave the subfolder
			strServerName = "http://" & request.ServerVariables("SERVER_NAME")
			strScriptName = Replace(request.ServerVariables("SCRIPT_NAME"), "install.asp", "")
			strWebShopURL = strServerName & strScriptName

			'Get the WebShopFolder - get everything from the third slash onwards (the first two
			'are for the protocol, followed by the domain)
			numDomainEndPos = 1
			For i = 1 to 3
				numDomainEndPos = instr(numDomainEndPos + 1, strWebShopURL, "/")
			Next

			strWebShopFolder = mid(strWebShopURL, numDomainEndPos + 1)
			If Right(strWebShopFolder, 1) <> "/" then strWebShopFolder = strWebShopFolder & "/"
			If strWebShopFolder = "/" then strWebShopFolder = ""
		End If
		
		
	
	Case 6
		
		'Check configuration settings
		strUsername = "cactushop"
		strPassword = "cactushop"
		strPasswordConfirm = "cactushop"
		strWebShopURL = request.Form("strWebShopURL")
		strWebShopFolder = request.Form("strWebShopFolder")
		strWebShopName = request.Form("strWebShopName")
		strContactDetails = request.Form("strContactDetails")
		
		If strWebShopURL = "" then
			strError = "Please enter in the <label for=""strWebShopURL"">URL to your shop</label>."
			
		ElseIf strWebShopName = "" then 
			strError = "Please enter in the <label for=""strWebShopName"">name of your store</label>."
			
		ElseIf strContactDetails = "" then
			strError = "Please enter in your <label for=""strContactDetails"">store contact details</label>."
		
		Else
			If Right(strWebShopURL, 1) <> "/" then strWebShopURL = strWebShopURL & "/"
			If strWebShopFolder <> "" then
				If Right(strWebShopFolder, 1) <> "/" then strWebShopFolder = strWebShopFolder & "/"
			End If
			
		End If
		
		If strError <> "" then
			numStep = 5
		Else
			'Open a database connection to store details
			Set objDataConn = Server.CreateObject("ADODB.Connection")
			objDataConn.Open strDataSourceName
			
			'Store the web shop URL in the database
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '" & SQLSafe(strWebShopURL) & "' WHERE CFG_Name = 'webshopurl'")
			
			'Store the web shop folder in the database
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '" & SQLSafe(strWebShopFolder) & "' WHERE CFG_Name = 'webshopfolder'")
			
			'Store the webshop name in to language strings
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "LanguageStrings1 SET LS_Value = '" & SQLSafe(strWebShopName) & "' WHERE LS_Name = 'Config_Webshopname'")
			
			'Store the webshop name in to language strings
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "LanguageStrings1 SET LS_Value = '" & SQLSafe(strContactDetails) & "' WHERE LS_Name = 'ContentText_AddressAndPhoneContact'")
			
			
			'Have we already got an admin account in the logins?
			If cint(objDataConn.Execute("SELECT COUNT(*) FROM tblCactuShop" & TABLE_PREFIX & "Logins WHERE LOGIN_Protected = 'y'")(0)) > 0 then
				objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Logins SET LOGIN_Username = '" & SQLSafe(strUsername) & "', LOGIN_Password = '" & SQLSafe(strPassword) & "' WHERE LOGIN_Protected = 'y'")
			Else
				objDataConn.Execute("INSERT INTO tblCactuShop" & TABLE_PREFIX & "Logins (LOGIN_Username, LOGIN_Password, LOGIN_Live, LOGIN_Orders, LOGIN_Products, LOGIN_Config, LOGIN_Protected, LOGIN_LanguageID) VALUES ('" & SQLSafe(strUsername) & "', '" & SQLSafe(strPassword) & "', 'y', 'y', 'y', 'y', 'y', 1)")
			End If
			
			'Turn off the install config setting
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '' WHERE CFG_Name = 'install'")
			
			'Update last updated date so config settings refresh
			objDataConn.Execute("UPDATE tblCactuShop" & TABLE_PREFIX & "Config SET CFG_Value = '" & ReverseDate(Now) & "' WHERE CFG_Name = 'lastupdated'")
			
			'Close database
			objDataConn.close
			Set objDataConn = nothing			
			
		End If
		
		
End Select


%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<!--
		===============================================================================
		CACTUSHOP v6 ASP SHOPPING CART
		1999-2006 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
		<title>CactuShop 6 Installation</title>
		<style type="text/css">
			body {
				background-color: #CC4400;
			}

			h1 {
				padding: 0.4em;
				font-family: Verdana;
				font-size: 2em;
				color: #FF7700;
			}

			h2 {
				font-size: 1.4em;
			}

			h3 {
				font-size: 1.2em;
				margin-top: 3em;
				margin-bottom: 0;
			}
			
			p {
				margin-top: 0.5em;
			}
			
			
			.installation {
				width: 540px;
				margin: 0 auto;
				background-color: White;
				padding: 20px 40px 20px 40px;
				font-family: Tahoma;
				font-size: 0.9em;	
			}

			.error {
				color: Red;
				font-weight: bold;
				border: dotted 1px red;
				padding: 1.4em;
			}

			input {
				width: 20em;
			}

			input.submit {
				width: 10em;
			}

			input.radio {
				width: 2em;
			}		
			
			label {
				display: block;
				font-weight: bold;
				padding-bottom: 4px;
			}
			
			.error label, label#licensenumber {
				display: inline;
				padding: 0;
				cursor: hand;
			}
			
			.error label {
				border-bottom: dotted 1px red;
			}
		</style>
	</head>
	<body><div class="installation">
	
		<h1>CactuShop 6 Installation</h1>
		
		<% Select Case numStep 
			Case 1 %>
				<h2>Step 1 - Introduction</h2>
				<p>Welcome to the CactuShop 6 installation process. This will guide your through a few steps to check the setup of your store and to set a few important configuration settings.</p>
				<form action="install.asp" method="post"><div>
					<input type="hidden" name="numStep" value="2" />
					<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" />
				</div></form><%
				
			Case 2 %>
				<h2>Step 2 - Uploads Folder</h2>
				<p>Please enter in the relative location of your cactushop uploads folder. By default this is simply <code>Uploads/</code>, however in some cases you wish to change this to something else. The uploads folder should have full read/write permissions set and should contain the following sub folders:</p>
				<ul>
					<li>files_versions</li>
					<li>HTML</li>
					<li>images_categories</li>
					<li>images_categories_large</li>
					<li>images_products</li>
					<li>images_products_large</li>
					<li>images_versions</li>
					<li>images_versions_large</li>
				</ul>
				<% If strError <> "" then %>
					<p class="error"><%= strError %></p><%
				End If %>
				<form action="install.asp" method="post"><div>
					<input type="hidden" name="numStep" value="3" />
					<input type="hidden" name="strLicenseNumber" value="<%= strLicenseNumber %>" />
					<input type="text" id="strUploadsFolder" name="strUploadsFolder" value="<%= strUploadsFolder %>" />
					<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" />
				</div></form>
				
			<% Case 3 %>
				<h2>Step 3 - Check Up</h2>
				<p>Various tests are being performed to check the setup of your store.</p>
				
				<h4>1. Checking Database Connection Details...</h4>
				<p>
					Database Type: <code><%= strDatabaseType %></code><br />
					Connection String: <code><%= strDataSourceName %></code>
				</p><%
				If ListSafe(strDatabaseType, "access,mssql,mysql", "") = "" then
					strError = "Database type is not of a valid format."
					strRectify = "Set the strDatabaseType value in <code>includes/config.asp</code> to a valid type."
				End If
				
				If strError = "" then
					'Disable this default db location check for trial version - designed for ease of setup, not security
					'If strDatabaseType = "access" And strPathToDatabase = "database/cactushop6.mdb" then
					'	strError = "Database is in the default location <code>database/cactushop6.mdb</code>. This poses a serious security risk."
					'	strRectify = "Move the database to a secure location (such as off the web root) or rename the database directory to something unguessable, then change your connection string in <code>includes/config.asp</code>."
					'End If
				End If
				
				If strError = "" then %>
					<h4>2. Connecting To Database...</h4><%
					'Attempt database connection
					On Error Resume Next
					Set objDataConn = Server.CreateObject("ADODB.Connection")
					objDataConn.Open strDataSourceName
					strDatabaseError = err.Description
					On Error Goto 0
					If strDatabaseError <> "" then
						strError = "Connection failed to database. Error returned: <code>" & strDatabaseError & "</code>"
						strRectify = "Check your connection settings in <code>includes/config.asp</code>."
					Else %>
						<p>Complete.</p><%
					End If
				End If
				
				
				If strError = "" then %>
					<h4>3. Testing Database Permissions...</h4><%
					'On Error Resume Next
					On error resume next
					Call objDataConn.Execute("INSERT INTO tblCactuShop" & TABLE_PREFIX & "Config (CFG_Name) VALUES ('cactushopinstalltest')")
					If err.Description = "" then
						Call objDataConn.Execute(strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "Config WHERE CFG_Name='cactushopinstalltest'")
					End If
					strDatabaseError = err.Description
					On Error Goto 0
					If strDatabaseError <> "" then
						strError = "Database could not be written to. Error returned: <code>" & strDatabaseError & "</code>"
						strRectify = "Check you have full permissions set on your database folder. <a href=""" & GetRedirect("dbpermissions") & """ target=""_new"">View more information</a>."
					Else %>
						<p>Complete.</p><%
					End If
					objDataConn.Close
					Set objDataConn = Nothing
					
					
				End If
				
				If strError = "" then %>
					<h4>4. Testing File Permissions...</h4><%
					aryFolders = Array("files_versions", "HTML", "images_categories", "images_categories_large", "images_products", "images_products_large", "images_versions", "images_versions_large")
					i = 0
					Set objFSO = CreateObject("Scripting.FileSystemObject")
					Do While strError = "" and i <= ubound(aryFolders)
						strError = CheckFolder(objFSO, strUploadsFolder & aryFolders(i))
						i = i + 1
					Loop
					Set objFSO = nothing
					'strerror = "shit hit the fan"
					If strError <> "" then
						strRectify = "Check you have full permissions set on the uploads folders and all sub folders.  <a href=""" & GetRedirect("uploadpermissions") & """ target=""_new"">View more information</a>."
					Else %>
						<p>Complete.</p><%
					End If
				end if
									
				
				If strError = "" then %>
					<p class="success">All tests were successful!</p>
					<form action="install.asp" method="post"><div>
						<input type="hidden" name="numStep" value="4" />
						<input type="hidden" name="strLicenseNumber" value="<%= strLicenseNumber %>" />
						<input type="hidden" name="strUploadsFolder" value="<%= strUploadsFolder %>" />
						<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" />
					</div></form><%
				Else %>
					<div class="error">
						<p>The following error occurred during testing:</p>
						<div class="cause"><strong>Cause:</strong> <%= strError %></div>
						<div class="rectify"><strong>Soluction:</strong> <%= strRectify %></div>
						<p>Please rectify the problem then retry the tests.</p>
						<form action="install.asp" method="post"><div>
							<input type="hidden" name="numStep" value="3" />
							<input type="hidden" name="strLicenseNumber" value="<%= strLicenseNumber %>" />
							<input type="hidden" name="strUploadsFolder" value="<%= strUploadsFolder %>" />
							<input type="submit" class="submit" name="submit" value="Retry Tests" />
						</div></form>
					</div>
				<% end if
			
			Case 4 %>
				<h2>Step 4 - Email</h2>
				<form action="install.asp" method="post"><div>
					<input type="hidden" name="numStep" value="5" />
					<input type="hidden" name="strLicenseNumber" value="<%= strLicenseNumber %>" />
					<input type="hidden" name="strUploadsFolder" value="<%= strUploadsFolder %>" />
					<% if blnTestEmailSent then %>
						<p>A test email was sent to <%= strEmailAddress %>. Please check that this email comes through correctly. If, after a few minutes, the email has not come through, please review your email settings in the config section of the backend.</p>
						<input type="hidden" name="strTestEmailSent" value="y" />
						<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" /><%
						
					Else 
					
						If strError <> "" then %>
							<p class="error"><%= strError %></p><%
						End If %>
					
						<p>You need to configure your email settings so email can be sent successfully from your site. Please select your prefered email method below:</p><%
						aryEmailComponents = Array("SMTPsvg.Mailer","Persits.MailSender","CDONTS.NewMail","CDO.Message","JMail.Message")
						aryEmailComponentNames = Array("ASPMail", "Persits ASP Email", "CDONTS", "CDOSYS", "JMail")
						aryEmailComponentValues = Array("aspmail", "persits", "cdo", "cdosys", "jmail")
						
						For i = 0 to ubound(aryEmailComponents)
							On error resume next
							Set objEmail = Server.CreateObject(aryEmailComponents(i))
							strEmailError = err.Description
							On error goto 0
							If strEmailError = "" then
								strFoundComponents = strFoundComponents & "<li><input type=""radio"" class=""radio"" name=""strEmailMethod"" value=""" & aryEmailComponentValues(i) & """" & IIf(strEmailMethod = aryEmailComponentValues(i), " checked=""checked""", "") & " />" & aryEmailComponentNames(i) & "</li>" & vbcrlf
							Else
								strNotFoundComponents = strNotFoundComponents & "<li>" & aryEmailComponentNames(i) & "</li>" & vbcrlf
							End If
						Next %>
						<h3>Email Components Found On The Server</h3><%
						If strFoundComponents = "" then %>
							<p>No email components were found on your server. You cannot run your store without an email component: order confirmations, password reminders, mailing lists, and the contact form all rely on a working email. You need to contact your host or server administrator to get one of the following components installed:</p>
							<ul><%= strNotFoundComponents %></ul><%
						
						else %>
							<p>The components for the following email methods have been found on the server. Please select one of the following:</p>
							<ul><%= strFoundComponents %></ul>
							<% if strNotFoundComponents <> "" then %>
								<h3>Email Components <em>Not</em> Found</h3>
								<p>CactuShop also supports the following email methods, which weren't found on your server:</p>
								<ul><%= strNotFoundComponents %></ul><%
							end if
						end if %>
						
						<h3>Test Email Methods</h3>
						<p>Alternatively, if you don't yet have an email server set up, you can select one of the two 'dummy' email methods. This can be useful for testing purposes. 'Write' will write out all emails to the screen, and 'Off' terms off all email sends</p>
						<ul>
							<li><input type="radio" class="radio" name="strEmailMethod" value="write"<%= IIf(strEmailMethod = "write", " checked=""checked""", "") %>>Write</li>
							<li><input type="radio" class="radio" name="strEmailMethod" value="off"<%= IIf(strEmailMethod = "off", " checked=""checked""", "") %>>Off</li>
						</ul>
						
						<h3>Email Server</h3>
						<p>For all email methods <em>except CDONTS</em>, you need to enter in your email server:</p>
						<input type="text" id="strEmailServer" name="strEmailServer" value="<%= strEmailServer %>" />
						
						<h3>Site Email Address</h3>
						<p>Enter in an email address. This will be used as the store email address for the default language. It will also be used now to test your email configuration, so make sure it is set up and working correctly:</p>
						<input type="text" id="strEmailAddress" name="strEmailAddress" value="<%= strEmailAddress %>" />
						
						<p>You can change these settings at any point in the config settings in the backend, and in the "languages and email setup" section.</p>
						
						<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" /><%
					end if
					
				Case 5 %>	
					<h2>Step 5 - Configuration</h2><%
					If strError <> "" then %>
						<p class="error"><%= strError %></p><%
					End If %>
											
					<form action="install.asp" method="post"><div>
						<input type="hidden" name="numStep" value="6" />
						<input type="hidden" name="strLicenseNumber" value="<%= strLicenseNumber %>" />
						<input type="hidden" name="strUploadsFolder" value="<%= strUploadsFolder %>" />
					
					
						<h3>Administrator Login</h3>
						<p>This trial version has no back end password protection so user account settings are not necessary.</p>

						
						<h3>Configuration Settings</h3>
						<p>Below are a few configuration settings you need to set. URL and folder should be auto-detected for you.</p>
						
						<label for="strWebShopURL">Web Shop URL:</label>
						<div><input type="text" name="strWebShopURL" id="strWebShopURL" value="<%= strWebShopURL %>" /></div><br />
						<p>The web shop URL needs to be set to the full path of the root of your store. If you are currently running your store locally, this should be your local URL.</p>
						
						<label for="strWebShopFolder">Web Shop Folder:</label>
						<div><input type="text" name="strWebShopFolder" id="strWebShopFolder" value="<%= strWebShopFolder %>" /></div><br />
						<p>The web shop folder needs to be set to the shop folder from root of your domain, with a trailing "/". If your store is on the root of your domain, leave this blank.</p>
						
						<label for="strWebShopName">Web Shop Name:</label>
						<div><input type="text" name="strWebShopName" id="strWebShopName" value="<%= strWebShopName %>" /></div><br />
						<p>Enter in the name of your store. This will appear in the page title on all front-end pages.</p>
						
						<label for="strContactDetails">Contact Details:</label>
						<div><textarea name="strContactDetails" id="strContactDetails" value="<%= strContactDetails %>" rows="5" cols="60"></textarea></div><br />
						<p>Enter in the contact details for your store. This could include postal address, phone and fax number. This is displayed on the bottom of the email contact email.</p>
						
						<input type="submit" class="submit" name="submit" value="Proceed &gt;&gt;" />
					</div></form><%
					
				Case 6 %>
					<h2>Step 6 - Installation Complete!</h2>
					<p>Congratulations, you've successfully set up your CactuShop shopping cart. Please spend a minute reading over the following information.</p>
					<h3>Your Store</h3>
					<p><a href="default.asp" target="_new">View your store front-end here.</a></p>
					<p>You can view the backend at the following URL:</p>
					<code><a href="_default.asp" target="_new"><%= strWebShopURL %>_default.asp</a></code>
					<p><strong>THERE IS NO USERNAME AND PASSWORD REQUIRED ON THIS TRIAL VERSION</strong></p>
					
					<h3>CactuShop Trial</h3>
					<p>You are using the CactuShop Trial version, where some features are removed. <a href="http://www.cactushop.com/requests/redirect/?t=trial">More information</a>.
					
					<h3>Further Information</h3>
					<p>For further details regarding configuring your store, please consult the CactuShop User Manual (which you can <a href="<%= GetRedirect("downloadusermanual") %>" target="_new">download from our site</a>) and the <a href="<%= GetRedirect("kb") %>" target="_new">online knowledgebase</a>, which both contain a wealth of information.</p>
										
					<h3>Configuring Your Store</h3>
					<p>There are various things you still need to do to get your store ready for customers:</p>
					<h4>Setting Up Your Product Catalogue</h4>
					<p>Through the backend administration, you have all the tools to set up your category, product and pricing information. If you are importing from another source, you may wish to take a look at the free <a href="<%= GetRedirect("datatool") %>" target="_new">CactuShop Data Tool</a>.</p>
					<h4>Set Up Your Payment Gateway</h4>
					<p>You need to set up and test your payment system. CactuShop supports many payment gateways, plus an encrypted mail solution. Please see <a href="<%= GetRedirect("paymentgateways") %>" target="_new">the gateway</a> section on the site. The User Manual has a dedicated section for each payment method.</p>
					<h4>Shipping</h4>
					<p>You can either use the CactuShop integrated shipping - which allows you to set up shipping bands based on shipping basket weight or total cost - or use UPS for live currency updates.</p>
					
					<h3>"I get the message '500 Error - Page cannot be displayed", what's going on?"</h3>
					<p>The real error you are getting is being obscured due to IE's "friendly error messages". <a href="<%= GetRedirect("500error") %>" target="_new">View more information</a>.</p>
					<%
					
						
				
		End Select %>
	</div></body>
</html>
