<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "321, 322, 323, 324, 325, 326, 327, 328, 329, 405, 408, 416, 680, 720, 1668, 1669, 1670, 1671, 1726, 1727, 1730" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'SEARCH SCRIPT
'This accepts input from the single master
'search box on the back home page and searches
'categories, products, versions, customers and
'orders.
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM FORM
'-----------------------------------------------
Dim strKeyword
strKeyword = request.querystring("strKeyword")
strSearchTarget = request.querystring("strSearchTarget")
numAppBackSearchLimit = GetAppVar("backsearchlimit")

'must create link to secure page if using secure area
'because there could be card data displayed
If GetAppVar("usesecurearea") = "y" then strSecURL = replace(Lcase(GetAppVar("webshopURL")), "http://", "https://") else strSecURL = ""

Function GetWhereClause(strFieldName)
	GetWhereClause = strFieldName & " LIKE " & strUnicode & "'%" & SQLSafe(strKeyword) & "%'"
End Function

numTotalRecords = 0
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top"><table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><% WriteString("PageTitle_SearchResults") %></h1></td>
	</tr>
	<%
	'-----------------------------------------------
	'CATEGORIES
	'-----------------------------------------------
	If strSearchTarget = "categories" OR strSearchTarget = "all" then
		strQuery = LimitSQL("CAT_ID, CAT_Name" & CInt(numLanguageID) & " FROM tblCactuShop" & TABLE_PREFIX & "Categories WHERE " & GetWhereClause("CAT_Name" & numLanguageID) & " ORDER BY CAT_Name" & CInt(numLanguageID) & ", CAT_ID", numAppBackSearchLimit, true)
		Call ExecuteRS(strQuery, objRecordSet) 
		numRecordCount = objRecordSet.RecordCount 
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_CategoriesMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="small bold dull" width="80%"><% WriteString("ContentText_Name") %></td>
						<td class="small bold dull"></td>
					</tr>
					<% do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if %>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><% =objRecordSet("CAT_Name" & CStr(numLanguageID)) %></td>
							<td align="right" class="small"><a href="_modify_prodtype.asp?<%= objCactuSession.QS %>CAT_ID=<% =objRecordSet("CAT_ID")%>"><img alt="<% WriteSafeString("ImageLabel_EditThisProduct") %>" title="<% WriteSafeString("ContentText_ModifyThePage") %>" src="images/b_category.gif" border="0" /></a></td>
						</tr><%
						objRecordSet.moveNext
					loop %>
				</table></td>
			</tr>
		<% End if
		objRecordSet.Close
	End If

	'-----------------------------------------------
	'PRODUCTS
	'-----------------------------------------------
	If strSearchTarget = "products" OR strSearchTarget = "all" then
		strQuery = LimitSQL("P_ID, P_Name" & CInt(numLanguageID) & " FROM (tblCactuShop" & TABLE_PREFIX & "Products INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink ON tblCactuShop" & TABLE_PREFIX & "Products.P_ID = tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_ProductID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Categories ON tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_CategoryID = tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID WHERE " & GetWhereClause("P_Name" & numLanguageID) & " ORDER BY P_Name" & CInt(numLanguageID) & ", P_ID", numAppBackSearchLimit, true)
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.RecordCount 
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_ProductsMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="small bold dull" width="80%"><% WriteString("ContentText_Name") %></td>
						<td class="small bold dull"></td>
					</tr>
					<%
					do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if
						%>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><% =objRecordSet("P_Name" & CStr(numLanguageID)) %></td>
							<td align="right" class="small"><a href="_modify_product.asp?<%= objCactuSession.QS %>P_ID=<% =objRecordSet("P_ID")%>"><img alt="<% WriteSafeString("ImageLabel_EditThisProduct") %>" title="<% WriteSafeString("ImageLabel_EditThisProduct") %>" src="images/b_product.gif" border="0" /></a></td>
						</tr>
						<%
					objRecordSet.moveNext
					loop 
					%>
				</table></td>
			</tr>
		<% End If
		objRecordSet.Close
	End if

	'-----------------------------------------------
	'VERSIONS		
	'-----------------------------------------------
	If strSearchTarget = "versions" OR strSearchTarget = "all" then
		strQuery = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE (" & GetWhereClause("V_Name" & numLanguageID) & " OR " & GetWhereClause("V_CodeNumber") & ") AND V_Type <> 'b' ORDER BY V_ID", numAppBackSearchLimit, false) 
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.RecordCount 
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_VersionsMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
			<td><table border="0" cellpadding="2" cellspacing="0" width="100%">
				<tr>
					<td class="small bold dull" width="25%"><% WriteString("ContentText_CodeNumber") %></td>
					<td class="small bold dull" width="55%"><% WriteString("ContentText_Name") %></td>
					<td class="small bold dull" width="20%">&nbsp;</td>
				</tr>
				<% do while not objRecordSet.EOF
					numBackgroundCounter = numBackgroundCounter + 1
					If numBackgroundCounter mod 2 = 0 then
						strBGColour = "#EEEEEE"
					else
						strBGColour = "#DDDDDD"
					end if
					%>
					<tr bgcolor="<% =strBGColour %>">
						<td class="small"><% =objRecordSet("V_CodeNumber") %></td>
						<td class="small"><% =objRecordSet("V_Name" & CStr(numLanguageID)) %></td>
						<td align="right" class="small"><a href="_modify_version.asp?<%= objCactuSession.QS %>V_ID=<% =objRecordSet("V_ID") %>&amp;P_ID=<% =objRecordSet("V_ProductID") %>"><img alt="<% WriteSafeString("ImageLabel_EditThisVersion") %>" title="<% WriteSafeString("ImageLabel_EditThisVersion") %>" src="images/b_version.gif" border="0" /></a></td>
					</tr>
					<% objRecordSet.moveNext
				loop %>
				</table></td>
			</tr>
		<% end if
		objRecordSet.Close
	End if

	'-----------------------------------------------
	'CUSTOMERS
	'-----------------------------------------------
	If strSearchTarget = "customers" OR strSearchTarget = "all" then
		C_ID = NumSafe(strKeyword)
		If C_ID > 0 then
			strSearchWhereClause = "C_ID=" & C_ID
		Else
			strSearchWhereClause = GetWhereClause("C_EmailAddress") & " OR " & GetWhereClause("C_CardholderName")
		End If
		strQuery = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE " & strSearchWhereClause & " ORDER BY C_ID DESC", numAppBackSearchLimit, false)
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.recordcount
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>

			<tr>
				<td class="bold"><% WriteString("ContentText_CustomersMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="small bold dull" width="40%"><% WriteSafeString("ContentText_Name") %></td>
						<td class="small bold dull" width="40%"><% WriteString("ContentText_Email") %></td>
						<td class="small bold dull" width="20%">&nbsp;</td>
					</tr>
					<%
					do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if
						%>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><%= WriteSafe(objRecordSet("C_CardholderName")) %></td>
							<td class="small"><%= WriteSafe(objRecordSet("C_EmailAddress")) %></td>
							<td class="small" align="right"><a href="_orders_list.asp?<%= objCactuSession.QS %>C_EmailAddress=<%= URLSafe(objRecordSet("C_EmailAddress")) %>"><img src="images/b_order.gif" border="0" alt="<% WriteSafeString("ContentText_ListOrders") %>" title="<% WriteSafeString("ContentText_ListOrders") %>" /></a>&nbsp;<a href="<% =strSecURL %>_modify_customerstatus.asp?<%= objCactuSession.QS %>C_ID=<% =objRecordSet("C_ID") %>"><img src="images/b_customer.gif" border="0" alt="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" title="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" /></a></td>
						</tr>
						<% objRecordSet.moveNext
					loop %>
				</table></td>
			</tr><%
		End If
		objRecordSet.Close
	End if

	'-----------------------------------------------
	'ORDERS
	'-----------------------------------------------
	If strSearchTarget = "orders" OR strSearchTarget = "all" then
		O_ID = NumSafe(strKeyword)
		If O_ID > 0 then
			strSearchWhereClause = "O_ID=" & O_ID
		Else
			strSearchWhereClause = GetWhereClause("O_PurchaseOrderNo")
		End If
		strQuery = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "Orders WHERE " & strSearchWhereClause & " ORDER BY O_ID DESC", numAppBackSearchLimit, false)
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.recordcount
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_OrdersMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="small bold dull" width="40%"><% WriteString("ContentText_OrderNumber") %></td>
						<td class="small bold dull" width="40%"><% WriteString("ContentText_PONumber") %></td>
						<td class="small bold dull" width="20%">&nbsp;</td>
					</tr>
					<%
					do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if
						%>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><%= objRecordSet("O_ID") %></td>
							<td class="small"><%= WriteSafe(objRecordSet("O_PurchaseOrderNo")) %></td>
							<td class="small" align="right"><a href="_modify_orderstatus.asp?<%= objCactuSession.QS %>O_ID=<% =server.URLencode(objRecordSet("O_ID")) %>"><img src="images/b_order.gif" border="0" alt="<% WriteSafeString("ContentText_ListOrders") %>" title="<% WriteSafeString("ContentText_ListOrders") %>" /></a></td>
						</tr>
						<%
					objRecordSet.moveNext
					loop %>
				</table></td>
			</tr><%
		End If
		objRecordSet.Close
	End if


	'-----------------------------------------------
	'LANGUAGE STRINGS
	'-----------------------------------------------
	If strSearchTarget = "lstrings" OR strSearchTarget = "all" then
		strSearchWhereClause = GetWhereClause("LS_Name") & " OR " & GetWhereClause("LS_Value")
		strQuery = LimitSQL("LS_ID, LS_Name FROM tblCactuShop" & TABLE_PREFIX & "LanguageStrings" & numLanguageID & " WHERE " & strSearchWhereClause & " ORDER BY LS_Name ASC", numAppBackSearchLimit, false)
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.recordcount
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_LanguageStringsMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%" ID="Table1">
					<tr>
						<td class="small bold dull" width="80%"><% WriteString("ContentText_LanguageString") %></td>
						<td class="small bold dull" width="20%">&nbsp;</td>
					</tr>
					<%
					do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if
						%>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><%= objRecordSet("LS_Name") %></td>
							<td class="small" align="right"><a href="_modify_langstring.asp?<%= objCactuSession.QS %>numLangID=<%= numLanguageID %>&amp;LS_ID=<%= objRecordSet("LS_ID") %>"><img alt="<% WriteSafeString("ImageLabel_EditThisVariable")  %>" title="<% WriteSafeString("ImageLabel_EditThisVariable")  %>" src="images/modify.gif" border="0" /></a></td>
						</tr>
						<%
					objRecordSet.moveNext
					loop %>
				</table></td>
			</tr><%
		End If
		objRecordSet.Close
	End if	
	
	'-----------------------------------------------
	'CONFIG SETTINGS
	'-----------------------------------------------
	If strSearchTarget = "config" OR strSearchTarget = "all" then
		strSearchWhereClause = GetWhereClause("LS_Name") & " OR " & GetWhereClause("LS_Value")
		strQuery = LimitSQL("CFG_Name FROM tblCactuShop" & TABLE_PREFIX & "Config WHERE " & GetWhereClause("CFG_Name") & " ORDER BY CFG_Name ASC", numAppBackSearchLimit, false) 
		Call ExecuteRS(strQuery, objRecordSet)
		numRecordCount = objRecordSet.recordcount
		numTotalRecords = numTotalRecords + numRecordCount
		If numRecordCount > 0 then %>
			<tr>
				<td class="bold"><% WriteString("ContentText_ConfigSettingsMatched") %>&nbsp;<%= numRecordCount %></td>
			</tr>
			<tr>
				<td><table border="0" cellpadding="2" cellspacing="0" width="100%" ID="Table2">
					<tr>
						<td class="small bold dull" width="80%"><% WriteString("ContentText_Name") %></td>
						<td class="small bold dull" width="20%">&nbsp;</td>
					</tr>
					<%
					do while not objRecordSet.EOF
						numBackgroundCounter = numBackgroundCounter + 1
						If numBackgroundCounter mod 2 = 0 then
							strBGColour = "#EEEEEE"
						else
							strBGColour = "#DDDDDD"
						end if
						%>
						<tr bgcolor="<% =strBGColour %>">
							<td class="small"><% =objRecordSet("CFG_Name") %></td>
							<td class="small" align="right"><a href="_config_list.asp?<%= objCactuSession.QS %>strConfigName=<%= URLSafe(objRecordSet("CFG_Name")) %>"><img alt="<% WriteSafeString("ImageLabel_EditThisVariable")  %>" title="<% WriteSafeString("ImageLabel_EditThisVariable")  %>" src="images/modify.gif" border="0" /></a></td>
						</tr>
						<%
					objRecordSet.moveNext
					loop %>
				</table></td>
			</tr><%
		End If
		objRecordSet.Close
	End if		
	
	If numTotalRecords = 0 then %>
		<tr>
			<td class="smallnormal"><% WriteString("ContentText_BackSearchNoResults") %></td>
		</tr>
	<% end if %>
	
	<tr>
		<td class="smallnormal"><a href="_default.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_NewSearch") %></a></td>
	</tr>	
	</table></td>
</tr>
</table>
</body>
</html>
